Index: src/proc-db/masonry.c
===================================================================
--- src/proc-db/masonry.c	(revision 54124)
+++ src/proc-db/masonry.c	(working copy)
@@ -39,15 +39,15 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "w:o:n:t:b:u:c:rlhdm:T:R:";
+const char *options = "w:o:n:t:b:u:c:rlhdm:T:R:";
 
 int debug = 0;
-char *progname = "masonry";
-char *obj_name = "wall";
+const char *progname = "masonry";
+const char *obj_name = "wall";
 char sol_name[64];
 int sol_num = 0;
-char *type = "frame";
-char *units = "mm";
+const char *type = "frame";
+const char *units = "mm";
 double unit_conv = 1.0;
 matp_t trans_matrix = (matp_t)NULL;
 const double degtorad =  0.01745329251994329573;
@@ -79,7 +79,7 @@
 unsigned char sheetrock_color[3] = { 200, 200, 200 };
 unsigned char stud_color[3] = { 250, 178, 108 };
 
-char *stud_properties[] = { "plastic", "sh=10 di=0.7 sp=0.3" };
+const char *stud_properties[] = { "plastic", "sh=10 di=0.7 sp=0.3" };
 
 struct opening {
     struct bu_list l;
@@ -104,7 +104,7 @@
  *
  * tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s)
 	bu_log("%s\n", s);
@@ -239,11 +239,11 @@
     while ((c=bu_getopt(ac, av, options)) != -1) {
 	switch (c) {
 	    case 'T':
-		set_translate(bu_optarg);
+		set_translate((char *)bu_optarg);
 		units_lock = 1;
 		break;
 	    case 'R':
-		set_rotate(bu_optarg);
+		set_rotate((char *)bu_optarg);
 		break;
 	    case 'b':
 		if (sscanf(bu_optarg, "%lf, %lf, %lf", &width, &height, &dy) == 3) {
Index: src/proc-db/pix2g.c
===================================================================
--- src/proc-db/pix2g.c	(revision 54124)
+++ src/proc-db/pix2g.c	(working copy)
@@ -43,7 +43,7 @@
 int done=0;
 int ncpu=1;
 
-char *progname ="pix2g";
+const char *progname ="pix2g";
 
 /* procedure variable start */
 struct rt_wdb *db_fp;
Index: src/proc-db/pipetest.c
===================================================================
--- src/proc-db/pipetest.c	(revision 54124)
+++ src/proc-db/pipetest.c	(working copy)
@@ -114,7 +114,7 @@
 	bu_log("Usage: %s\n", argv[0]);
 
     outfp = wdb_fopen("pipetest.g");
-    mk_conversion("meters");
+    mk_conversion((char *)"meters");
     mk_id(outfp, "Pipe & Particle Test");
 
     /* Spherical part */
@@ -141,7 +141,7 @@
     if ((i = mk_pipe(outfp, "pipe1", &head)) < 0)
 	fprintf(stderr, "mk_pipe(%s) returns %d\n", "pipe1", i);
 
-    do_bending(outfp, "pipe2", pipeB, pipeB_npts, 0.1, 0.05);
+    do_bending(outfp, (char *)"pipe2", pipeB, pipeB_npts, 0.1, 0.05);
     return 0;
 }
 
Index: src/proc-db/molecule.c
===================================================================
--- src/proc-db/molecule.c	(revision 54124)
+++ src/proc-db/molecule.c	(working copy)
@@ -55,8 +55,8 @@
 
 struct atoms atom_list[50];
 
-char * matname = "plastic";
-char * matparm = "shine=100.0 diffuse=.8 specular=.2";
+const char * matname = "plastic";
+const char * matparm = "shine=100.0 diffuse=.8 specular=.2";
 
 void read_data(void), process_sphere(int id, fastf_t *center, double rad, int sph_type);
 int make_bond(int sp1, int sp2);
Index: src/proc-db/pyramid.c
===================================================================
--- src/proc-db/pyramid.c	(revision 54124)
+++ src/proc-db/pyramid.c	(working copy)
@@ -59,8 +59,8 @@
 
     mk_id(outfp, "3-D Pyramids");
 
-    do_leaf("leaf");
-    do_tree("tree", "leaf", depth);
+    do_leaf((char *)"leaf");
+    do_tree((char *)"tree", (char *)"leaf", depth);
 
     return 0;
 }
Index: src/proc-db/room.c
===================================================================
--- src/proc-db/room.c	(revision 54124)
+++ src/proc-db/room.c	(working copy)
@@ -101,15 +101,15 @@
     VSET(bmin, 0, 0, 0);
     VSET(bmax, 80000, 60000, HEIGHT);
     VSET(bthick, 100, 100, 100);
-    make_room("bldg", bmin, bmax, bthick, &head);
+    make_room((char *)"bldg", bmin, bmax, bthick, &head);
 
     /* Create the first room */
     VSET(r1thick, 100, 100, 0);
     VMOVE(r1min, bmin);
     VSET(r1max, 40000, 10000, HEIGHT);
     VADD2(r1max, r1min, r1max);
-    make_walls("rm1", r1min, r1max, r1thick, NORTH|EAST, &head);
-    make_carpet("rm1carpet", r1min, r1max, "carpet.pix", &head);
+    make_walls((char *)"rm1", r1min, r1max, r1thick, NORTH|EAST, &head);
+    make_carpet((char *)"rm1carpet", r1min, r1max, (char *)"carpet.pix", &head);
 
     /* Create the golden earth */
     VSET(norm, 0, 0, 1);
@@ -127,9 +127,9 @@
     for (ix=quant-1; ix>=0; ix--) {
 	x = 10000 + ix*size;
 	VSET(pbase, x, 10000*.25, r1min[Z]);
-	make_pillar("Pil", ix, 0, pbase, lwh, &head);
+	make_pillar((char *)"Pil", ix, 0, pbase, lwh, &head);
 	VSET(pbase, x, 10000*.75, r1min[Z]);
-	make_pillar("Pil", ix, 1, pbase, lwh, &head);
+	make_pillar((char *)"Pil", ix, 1, pbase, lwh, &head);
     }
 
 #ifdef never
Index: src/proc-db/clutter.c
===================================================================
--- src/proc-db/clutter.c	(revision 54124)
+++ src/proc-db/clutter.c	(working copy)
@@ -65,10 +65,10 @@
 double crystal_layer(char *crname, fastf_t *center, double radius, fastf_t *maj, fastf_t *min, double var, double ratio, int nsolids);
 
 void do_plate(char *name, double xc, double yc, double size);
-void do_rings(char *ringname, fastf_t *center, double r1, double r2, double incr, int n);
+void do_rings(const char *ringname, fastf_t *center, double r1, double r2, double incr, int n);
 
 void get_rgb(unsigned char *rgb);
-void do_light(char *name, point_t pos, vect_t dir_at, int da_flag, double r, unsigned char *rgb, struct wmember *headp);
+void do_light(const char *name, point_t pos, vect_t dir_at, int da_flag, double r, unsigned char *rgb, struct wmember *headp);
 
 struct bn_unif *rbuf;
 
@@ -466,7 +466,7 @@
 }
 
 void
-do_rings(char *ringname, fastf_t *center, double r1, double r2, double incr, int n)
+do_rings(const char *ringname, fastf_t *center, double r1, double r2, double incr, int n)
 {
     int i;
     vect_t normal;
Index: src/proc-db/mkbuilding.c
===================================================================
--- src/proc-db/mkbuilding.c	(revision 54124)
+++ src/proc-db/mkbuilding.c	(working copy)
@@ -52,7 +52,7 @@
     VSET(p1, 0.0, 0.0, 0.0);
     VSET(p2, (25.4*6), (25.4*12*10), (25.4*12*8));
 
-    mkbldg_makeWallSegment("TestWall", db_filepointer, p1, p2);
+    mkbldg_makeWallSegment((char *)"TestWall", db_filepointer, p1, p2);
 
     wdb_close(db_filepointer);
     return 0;
Index: src/proc-db/torii.c
===================================================================
--- src/proc-db/torii.c	(revision 54124)
+++ src/proc-db/torii.c	(working copy)
@@ -57,7 +57,7 @@
     unsigned short int levels;
 } torusLevels_t;
 
-void usage(char *progname)
+void usage(const char *progname)
 {
     fprintf(stderr, "Usage: %s db_file.g\n", progname);
     bu_exit(-1, NULL);
@@ -149,7 +149,7 @@
 int
 main(int ac, char *av[])
 {
-    char *progname ="torii";
+    const char *progname ="torii";
 
     torusLevels_t torii;
     const char *prototypeName="torus";
Index: src/proc-db/wavy.c
===================================================================
--- src/proc-db/wavy.c	(revision 54124)
+++ src/proc-db/wavy.c	(working copy)
@@ -61,8 +61,8 @@
 int
 main(int argc, char **argv)
 {
-    char *id_name = "wavy database";
-    char *nurb_name = "wavy";
+    const char *id_name = "wavy database";
+    const char *nurb_name = "wavy";
     int i, j;
     fastf_t hscale;
     struct rt_wdb *outfp;
Index: src/proc-db/common.c
===================================================================
--- src/proc-db/common.c	(revision 54124)
+++ src/proc-db/common.c	(working copy)
@@ -34,7 +34,7 @@
 extern struct rt_wdb *outfp;
 
 struct colors {
-    char *name;
+    const char *name;
     unsigned char c_pixel[3];
 }colortab[] = {
     {"black",	{20, 20, 20}},
Index: src/proc-db/pipe.c
===================================================================
--- src/proc-db/pipe.c	(revision 54124)
+++ src/proc-db/pipe.c	(working copy)
@@ -82,13 +82,13 @@
 int torus=0, sphere=0, mitre=0, nothing=0, cable=0;
 
 /* formats for solid and region names */
-char *tor_out="%02d-out.tor", *tor_in="%02d-in.tor";
-char *haf="%02d.haf";
-char *sph_out="%02d-out.sph", *sph_in="%02d-in.sph";
-char *rcc_out="%02d-out.rcc", *rcc_in="%02d-in.rcc";
-char *tub_reg="%02d.tube", *tub_flu="%02d.tubflu";
-char *elb_reg="%02d.elbow", *elb_flu="%02d.elbflu";
-char *arb="%02d.arb";
+const char *tor_out="%02d-out.tor", *tor_in="%02d-in.tor";
+const char *haf="%02d.haf";
+const char *sph_out="%02d-out.sph", *sph_in="%02d-in.sph";
+const char *rcc_out="%02d-out.rcc", *rcc_in="%02d-in.rcc";
+const char *tub_reg="%02d.tube", *tub_flu="%02d.tubflu";
+const char *elb_reg="%02d.elbow", *elb_flu="%02d.elbflu";
+const char *arb="%02d.arb";
 
 void Usage(void);
 
@@ -152,14 +152,14 @@
 
 
     if (torus) {
-	outform = tor_out;
-	inform = tor_in;
-	cutform = arb;
+	outform = (char *)tor_out;
+	inform = (char *)tor_in;
+	cutform = (char *)arb;
     } else if (sphere) {
-	outform = sph_out;
-	inform = sph_in;
+	outform = (char *)sph_out;
+	inform = (char *)sph_in;
     } else if (mitre)
-	cutform = haf;
+	cutform = (char *)haf;
 
     ptr = root;
     while (ptr->next != NULL) {
@@ -547,8 +547,8 @@
 {
     struct points *ptr;
     char tag[NAMESIZE];
-    char *pipe_group=".pipe";
-    char *fluid_group=".fluid";
+    const char *pipe_group=".pipe";
+    const char *fluid_group=".fluid";
     int comblen=0;
     struct wmember head;
 
Index: src/fb/fbclear.c
===================================================================
--- src/fb/fbclear.c	(revision 54124)
+++ src/fb/fbclear.c	(working copy)
@@ -67,7 +67,7 @@
 		clear_and_reset++;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 	    case 'S':
Index: src/fb/fbline.c
===================================================================
--- src/fb/fbline.c	(revision 54124)
+++ src/fb/fbline.c	(working copy)
@@ -205,7 +205,7 @@
 		clear = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'r':
 		pixcolor[RED] = atoi(bu_optarg);
Index: src/fb/fbhelp.c
===================================================================
--- src/fb/fbhelp.c	(revision 54124)
+++ src/fb/fbhelp.c	(working copy)
@@ -48,7 +48,7 @@
     while ( (c = bu_getopt( argc, argv, "F:" )) != -1 ) {
 	switch ( c ) {
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    default:		/* '?' */
 		(void)fputs(usage, stderr);
Index: src/fb/fbframe.c
===================================================================
--- src/fb/fbframe.c	(revision 54124)
+++ src/fb/fbframe.c	(working copy)
@@ -33,7 +33,7 @@
 #include "bu.h"
 #include "fb.h"
 
-char *Usage="[-h] [-F framebuffer]\n\
+const char *Usage="[-h] [-F framebuffer]\n\
 	[-s squareframesize] [-w frame_width] [-n frame_height]\n";
 
 #define USAGE_EXIT(p) { fprintf(stderr, "Usage: %s %s\n", (p), Usage); \
@@ -62,7 +62,7 @@
 		xsize = ysize = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 	    case 'S':
Index: src/fb/cell-fb.c
===================================================================
--- src/fb/cell-fb.c	(revision 54124)
+++ src/fb/cell-fb.c	(working copy)
@@ -124,7 +124,7 @@
 
 
 /* Global variables */
-static char *usage[] = {
+static const char *usage[] = {
     "",
     "cell-fb",
     "",
@@ -853,7 +853,7 @@
 static void
 prnt_Usage(void)
 {
-    char **p = usage;
+    char **p = (char **)usage;
 
     while (*p)
 	bu_log("%s\n", *p++);
Index: src/fb/fb-fb.c
===================================================================
--- src/fb/fb-fb.c	(revision 54124)
+++ src/fb/fb-fb.c	(working copy)
@@ -54,7 +54,7 @@
     while ((c = bu_getopt(argc, argv, "vF:")) != -1) {
 	switch (c) {
 	    case 'F':
-		out_fb_name = bu_optarg;
+		out_fb_name = (char *)bu_optarg;
 		break;
 	    case 'v':
 		verbose++;
Index: src/fb/fbstretch.c
===================================================================
--- src/fb/fbstretch.c	(revision 54124)
+++ src/fb/fbstretch.c	(working copy)
@@ -189,11 +189,11 @@
 		    break;
 
 		case 'f':	/* -f in_fb */
-		    src_file = bu_optarg;
+		    src_file = (char *)bu_optarg;
 		    break;
 
 		case 'F':	/* -F out_fb */
-		    dst_file = bu_optarg;
+		    dst_file = (char *)bu_optarg;
 		    break;
 
 		case 'h':	/* -h */
Index: src/fb/spm-fb.c
===================================================================
--- src/fb/spm-fb.c	(revision 54124)
+++ src/fb/spm-fb.c	(working copy)
@@ -61,7 +61,7 @@
 		scr_height = scr_width = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 		square = 1;
@@ -88,7 +88,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
     } else {
 	file_name = argv[bu_optind];
     }
Index: src/fb/fb-pix.c
===================================================================
--- src/fb/fb-pix.c	(revision 54124)
+++ src/fb/fb-pix.c	(working copy)
@@ -74,7 +74,7 @@
 		inverse = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 		/* square size */
@@ -95,7 +95,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdout)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	outfp = stdout;
     } else {
 	file_name = argv[bu_optind];
Index: src/fb/pix-fb.c
===================================================================
--- src/fb/pix-fb.c	(revision 54124)
+++ src/fb/pix-fb.c	(working copy)
@@ -109,7 +109,7 @@
 		zoom = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 		/* square file size */
@@ -157,7 +157,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infd = 0;
     } else {
 	char *ifname;
Index: src/fb/fb-orle.c
===================================================================
--- src/fb/fb-orle.c	(revision 54124)
+++ src/fb/fb-orle.c	(working copy)
@@ -38,7 +38,7 @@
 #include "fb.h"
 #include "orle.h"
 
-static char *usage[] = {
+static const char *usage[] = {
     "Usage: fb-rle [-CScdhvw] [-l X Y] [-F Frame_buffer] [-p X Y] [file.rle]",
     "",
     "If no RLE file is specified, fb-rle will write to its standard output.",
@@ -212,7 +212,7 @@
 	    case 'w' : /* Monochrome (black & white) mode.		*/
 		ncolors = 1;
 		break;
-	    case 'F' : fb_file = bu_optarg;
+	    case 'F' : fb_file = (char *)bu_optarg;
 		break;
 	    case '?' :
 		return 0;
@@ -251,7 +251,7 @@
 static void
 prntUsage(void)
 {
-    char **p = usage;
+    char **p = (char **)usage;
 
     while (*p) {
 	(void) fprintf(stderr, "%s\n", *p++);
Index: src/fb/orle-fb.c
===================================================================
--- src/fb/orle-fb.c	(revision 54124)
+++ src/fb/orle-fb.c	(working copy)
@@ -34,7 +34,7 @@
 #include "fb.h"
 #include "orle.h"
 
-static char	*usage[] =
+static const char	*usage[] =
 {
     "Usage: orle-fb [-Otdv] [-b (rgbwBG)] [-F Frame_buffer] [-p X Y] [file.rle]",
     "",
@@ -331,7 +331,7 @@
 	    case 'v' :
 		rle_verbose = 1;
 		break;
-	    case 'F' : fb_file = bu_optarg;
+	    case 'F' : fb_file = (char *)bu_optarg;
 		break;
 	    case '?' :
 		return	0;
@@ -361,7 +361,7 @@
 static void
 prnt_Usage(void)
 {
-    char	**p = usage;
+    char	**p = (char **)usage;
     while ( *p )
 	(void) fprintf( stderr, "%s\n", *p++ );
     return;
Index: src/fb/fblabel.c
===================================================================
--- src/fb/fblabel.c	(revision 54124)
+++ src/fb/fblabel.c	(working copy)
@@ -319,13 +319,13 @@
 		clear = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'f':
-		font1 = bu_optarg;
+		font1 = (char *)bu_optarg;
 		break;
 	    case 'C': {
-		char *cp = bu_optarg;
+		char *cp = (char *)bu_optarg;
 		unsigned char *conp
 		    = (unsigned char *)pixcolor;
 
Index: src/fb/fbfree.c
===================================================================
--- src/fb/fbfree.c	(revision 54124)
+++ src/fb/fbfree.c	(working copy)
@@ -48,7 +48,7 @@
     while ( (c = bu_getopt( argc, argv, "F:" )) != -1 ) {
 	switch ( c ) {
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    default:		/* '?' */
 		(void)fputs(usage, stderr);
Index: src/fb/gif-fb.c
===================================================================
--- src/fb/gif-fb.c	(revision 54124)
+++ src/fb/gif-fb.c	(working copy)
@@ -465,7 +465,7 @@
 		    break;
 
 		case 'F':	/* -F fb_file */
-		    fb_file = bu_optarg;
+		    fb_file = (char *)bu_optarg;
 		    break;
 
 		case 'c':	/* -c */
Index: src/fb/fbgamma.c
===================================================================
--- src/fb/fbgamma.c	(revision 54124)
+++ src/fb/fbgamma.c	(working copy)
@@ -35,7 +35,7 @@
 #include "fb.h"
 #include "pkg.h"
 
-char *options = "ihoF:";
+const char *options = "ihoF:";
 
 void	checkgamma(double g);
 
@@ -125,7 +125,7 @@
 	    case 'h'	: fbsize = 1024; break;
 	    case 'o'	: overlay++; break;
 	    case 'i'	: image = !image; break;
-	    case 'F'	: framebuffer = bu_optarg; break;
+	    case 'F'	: framebuffer = (char *)bu_optarg; break;
 	    default		: break;
 	}
     }
Index: src/fb/fbgammamod.c
===================================================================
--- src/fb/fbgammamod.c	(revision 54124)
+++ src/fb/fbgammamod.c	(working copy)
@@ -36,7 +36,7 @@
 #include "fb.h"
 #include "pkg.h"
 
-char *options = "vf:F:";
+const char *options = "vf:F:";
 
 static char usage[] = "\
 Usage: fbgammamod [-v] [-f in_file] [-F framebuffer] \
@@ -135,10 +135,10 @@
 		verbose++;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'f':
-		input_file = bu_optarg;
+		input_file = (char *)bu_optarg;
 		break;
 	    default:
 		bu_exit(2, "fbgammamod: Unrecognized option '%c'\n%s",
Index: src/fb/fbscanplot.c
===================================================================
--- src/fb/fbscanplot.c	(revision 54124)
+++ src/fb/fbscanplot.c	(working copy)
@@ -78,7 +78,7 @@
 		scr_width = atoi(bu_optarg);
 		break;
 	    case 'F':
-		outframebuffer = bu_optarg;
+		outframebuffer = (char *)bu_optarg;
 		break;
 	    default:		/* '?' */
 		return 0;
Index: src/fb/fb-bw.c
===================================================================
--- src/fb/fb-bw.c	(revision 54124)
+++ src/fb/fb-bw.c	(working copy)
@@ -68,7 +68,7 @@
 		inverse = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'X':
 		scr_xoff = atoi(bu_optarg);
@@ -95,7 +95,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdout)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	outfp = stdout;
     } else {
 	file_name = argv[bu_optind];
Index: src/fb/gif2fb.c
===================================================================
--- src/fb/gif2fb.c	(revision 54124)
+++ src/fb/gif2fb.c	(working copy)
@@ -127,7 +127,7 @@
 		verbose=1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    default:	/* '?' */
 		usage(argv);
@@ -141,7 +141,7 @@
 	    usage(argv);
 	    return 1;
 	}
-	file_name = "-";
+	file_name = (char *)"-";
 	fp = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/fb/pl-fb.c
===================================================================
--- src/fb/pl-fb.c	(revision 54124)
+++ src/fb/pl-fb.c	(working copy)
@@ -554,7 +554,7 @@
 		over = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'h':
 		Nscanlines = Npixels = 1024;
@@ -580,7 +580,7 @@
 	/* no file name given, use stdin */
 	if (isatty(fileno(stdin)))
 	    return 0;
-	filename = "-";
+	filename = (char *)"-";
 	pfin = stdin;
     } else {
 	/* open file */
Index: src/fb/fbpoint.c
===================================================================
--- src/fb/fbpoint.c	(revision 54124)
+++ src/fb/fbpoint.c	(working copy)
@@ -58,7 +58,7 @@
 char usage[] = "\
 Usage: fbpoint [-h] [-x[prefix]] [-y[prefix]] [initx inity]\n";
 
-static char *help = "\
+static const char *help = "\
 Char:   Command:                                                \r\n\
 h B	Left (1)\r\n\
 j N	Down (1)\r\n\
Index: src/fb/polar-fb.c
===================================================================
--- src/fb/polar-fb.c	(revision 54124)
+++ src/fb/polar-fb.c	(working copy)
@@ -70,7 +70,7 @@
 
 /* Global variables */
 char *ProgName;	/* To save argv[0] */
-char *ExplainOpts[] = {
+const char *ExplainOpts[] = {
     " -F fbfile specifies frame-buffer file\n",
     " -N h      specifies FB height (pixels)\n",
     " -S s      specifies FB height and width (pixels)\n",
@@ -353,7 +353,7 @@
     (void) fprintf(stderr, "Usage: '%s [options] [file]'\n", ProgName);
     if (ShoOpts) {
 	(void) fputs("Options:\n", stderr);
-	for (oPtr = ExplainOpts; **oPtr != '\0'; oPtr++)
+	for (oPtr = (char **)ExplainOpts; **oPtr != '\0'; oPtr++)
 	    (void) fputs(*oPtr, stderr);
     } else
 	(void) fputs(" -? option for help\n", stderr);
@@ -402,7 +402,7 @@
 /* Initialize things */
     ProgName = *argv;
     angle_cvt = Deg2Rad = M_PI / 180.0;
-    FB_Name = "";
+    FB_Name = (char *)"";
     Interior = BI_RINGS;
     Color[C_BKGRND][RED] = Color[C_BKGRND][GRN] = Color[C_BKGRND][BLU] = 255;
 
@@ -717,7 +717,7 @@
     /* Determine source of input */
     switch (argc) {
 	case 0:			/* Read stdin */
-	    FileName="";
+	    FileName=(char *)"";
 	    break;
 	case 1:			/* File name was given */
 	    FileName=argv[0];
Index: src/fb/fbcbars.c
===================================================================
--- src/fb/fbcbars.c	(revision 54124)
+++ src/fb/fbcbars.c	(working copy)
@@ -182,7 +182,7 @@
 		scr_height = scr_width = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'S':
 		scr_height = scr_width = atoi(bu_optarg);
Index: src/fb/pp-fb.c
===================================================================
--- src/fb/pp-fb.c	(revision 54124)
+++ src/fb/pp-fb.c	(working copy)
@@ -87,7 +87,7 @@
 char strg[51];
 char g(void), gc(void);
 struct colors {
-    char *name;
+    const char *name;
     RGBpixel c_pixel;
 }colortab[] = {
     {"black",	{0, 0, 0}},
@@ -348,7 +348,7 @@
 			loci+=6;
 			lseek(ifd, (off_t)loci, 0);
 			ic=0;
-			for (j=0, cp=colortab[itmc[i]].name;j<3;
+			for (j=0, cp=(char *)colortab[itmc[i]].name;j<3;
 			     cp++, j++) {
 			    loci++;
 			    writeret = write(ifd, cp, 1);
@@ -639,7 +639,7 @@
     char *cp;
     int i;
     for (i=0;i<20;i++) {
-	cp=colortab[i].name;
+	cp=(char *)colortab[i].name;
 	if (*cp== *pc&&*(cp+1)== *(pc+1)&&*(cp+2)==*(pc+2)) return i;
 	else if (*cp> *pc) return -1;
     }
Index: src/fb/fbfade.c
===================================================================
--- src/fb/fbfade.c	(revision 54124)
+++ src/fb/fbfade.c	(working copy)
@@ -142,11 +142,11 @@
 		    break;
 
 		case 'f':	/* -f in_fb_file */
-		    in_fb_file = bu_optarg;
+		    in_fb_file = (char *)bu_optarg;
 		    break;
 
 		case 'F':	/* -F out_fb_file */
-		    out_fb_file = bu_optarg;
+		    out_fb_file = (char *)bu_optarg;
 		    break;
 
 		case 'h':	/* -h */
Index: src/fb/fb-rle.c
===================================================================
--- src/fb/fb-rle.c	(revision 54124)
+++ src/fb/fb-rle.c	(working copy)
@@ -95,7 +95,7 @@
 		crunch = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'h':
 		/* high-res */
@@ -127,7 +127,7 @@
 		screen_yoff = atoi(bu_optarg);
 		break;
 	    case 'C': {
-		char *cp = bu_optarg;
+		char *cp = (char *)bu_optarg;
 		int *conp = background;
 
 		/* premature null => atoi gives zeros */
Index: src/fb/rle-fb.c
===================================================================
--- src/fb/rle-fb.c	(revision 54124)
+++ src/fb/rle-fb.c	(working copy)
@@ -80,7 +80,7 @@
 		r_debug = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'c':
 		crunch = 1;
@@ -109,7 +109,7 @@
 		scr_yoff = atoi(bu_optarg);
 		break;
 	    case 'C': {
-		char *cp = bu_optarg;
+		char *cp = (char *)bu_optarg;
 		int *conp = background;
 
 		/* premature null => atoi gives zeros */
@@ -133,7 +133,7 @@
 	}
 	bu_optind++;
     } else {
-	infile = "-";
+	infile = (char *)"-";
     }
     if (argc > ++bu_optind)
 	(void) fprintf(stderr, "rle-fb:  excess arguments ignored\n");
Index: src/fb/fb-png.c
===================================================================
--- src/fb/fb-png.c	(revision 54124)
+++ src/fb/fb-png.c	(working copy)
@@ -74,7 +74,7 @@
 		inverse = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 		/* square size */
@@ -103,7 +103,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdout)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	outfp = stdout;
     } else {
 	file_name = argv[bu_optind];
Index: src/fb/png-fb.c
===================================================================
--- src/fb/png-fb.c	(revision 54124)
+++ src/fb/png-fb.c	(working copy)
@@ -109,7 +109,7 @@
 		zoom = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'x':
 		file_xoff = atoi(bu_optarg);
@@ -141,7 +141,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	fp_in = stdin;
     } else {
 	file_name = argv[bu_optind];
Index: src/fb/pixautosize.c
===================================================================
--- src/fb/pixautosize.c	(revision 54124)
+++ src/fb/pixautosize.c	(working copy)
@@ -60,7 +60,7 @@
 		bytes_per_sample = atoi(bu_optarg);
 		break;
 	    case 'f':
-		file_name = bu_optarg;
+		file_name = (char *)bu_optarg;
 		break;
 	    case 'l':
 		file_length = atoi(bu_optarg);
Index: src/fb/fbcolor.c
===================================================================
--- src/fb/fbcolor.c	(revision 54124)
+++ src/fb/fbcolor.c	(working copy)
@@ -270,7 +270,7 @@
     while ( (c = bu_getopt( argc, argv, "F:s:S:w:W:n:N:h" )) != -1 )  {
 	switch ( c )  {
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'h' : /* High resolution frame buffer.	*/
 		scr_height = scr_width = 1024;
Index: src/fb/fbcmap.c
===================================================================
--- src/fb/fbcmap.c	(revision 54124)
+++ src/fb/fbcmap.c	(working copy)
@@ -597,7 +597,7 @@
 		scr_width = scr_height = 1024;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'S':
 	    case 's':
Index: src/fb/fbzoom.c
===================================================================
--- src/fb/fbzoom.c	(revision 54124)
+++ src/fb/fbzoom.c	(working copy)
@@ -306,7 +306,7 @@
 		toggle_pan = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 	    case 'S':
Index: src/fb/fbgrid.c
===================================================================
--- src/fb/fbgrid.c	(revision 54124)
+++ src/fb/fbgrid.c	(working copy)
@@ -73,7 +73,7 @@
 		flavor = OLD;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 'S':
 	    case 's':
Index: src/fb/bw-fb.c
===================================================================
--- src/fb/bw-fb.c	(revision 54124)
+++ src/fb/bw-fb.c	(working copy)
@@ -111,7 +111,7 @@
 		blueflag = 1;
 		break;
 	    case 'F':
-		framebuffer = bu_optarg;
+		framebuffer = (char *)bu_optarg;
 		break;
 	    case 's':
 		/* square file size */
@@ -156,7 +156,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdin)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	infd = 0;
     } else {
 	char *ifname;
Index: src/remrt/rtsrv.c
===================================================================
--- src/remrt/rtsrv.c	(revision 54124)
+++ src/remrt/rtsrv.c	(working copy)
@@ -830,7 +830,7 @@
 void
 bu_bomb(const char *str)
 {
-    char	*bomb = "RTSRV terminated by bu_bomb()\n";
+    const char	*bomb = "RTSRV terminated by bu_bomb()\n";
 
     if ( pkg_send( MSG_PRINT, (char *)str, strlen(str)+1, pcsrv ) < 0 )  {
 	fprintf(stderr, "bu_bomb MSG_PRINT failed\n");
Index: src/remrt/ihost.c
===================================================================
--- src/remrt/ihost.c	(revision 54124)
+++ src/remrt/ihost.c	(working copy)
@@ -150,7 +150,7 @@
     ihp->ht_flags = 0x0;
     ihp->ht_when = HT_PASSIVE;
     ihp->ht_where = HT_CONVERT;
-    ihp->ht_path = "/tmp";
+    ihp->ht_path = (char *)"/tmp";
 
     /* Add to linked list of known hosts */
     BU_LIST_INSERT( &HostHead, &ihp->l );
Index: src/remrt/remrt.c
===================================================================
--- src/remrt/remrt.c	(revision 54124)
+++ src/remrt/remrt.c	(working copy)
@@ -214,7 +214,7 @@
 void		host_helper(FILE *fp);
 void		start_helper(void);
 void		build_start_cmd(int argc, char **argv, int startc);
-void		drop_server(struct servers *sp, char *why);
+void		drop_server(struct servers *sp, const char *why);
 void		send_do_lines(struct servers *sp, int start, int stop, int framenum);
 void		do_work(int auto_start);
 void		source(FILE *fp);
@@ -387,7 +387,7 @@
 #define OPT_LOAD	1	/* 10% per server per frame */
 #define OPT_MOVIE	2	/* one server per frame */
 int	work_allocate_method = OPT_MOVIE;
-char *allocate_method[] = {
+const char *allocate_method[] = {
     "Frame",
     "Load Averaging",
     "One per Frame"};
@@ -464,23 +464,23 @@
 
     switch ( state )  {
 	case SRST_UNUSED:
-	    return "[unused]";
+	    return (char *)"[unused]";
 	case SRST_NEW:
-	    return "..New..";
+	    return (char *)"..New..";
 	case SRST_VERSOK:
-	    return "Vers_OK";
+	    return (char *)"Vers_OK";
 	case SRST_DOING_DIRBUILD:
-	    return "DoDirbld";
+	    return (char *)"DoDirbld";
 	case SRST_NEED_TREE:
-	    return "NeedTree";
+	    return (char *)"NeedTree";
 	case SRST_READY:
-	    return " Ready";
+	    return (char *)" Ready";
 	case SRST_RESTART:
-	    return "Restart";
+	    return (char *)"Restart";
 	case SRST_CLOSING:
-	    return "Closing";
+	    return (char *)"Closing";
 	case SRST_DOING_GETTREES:
-	    return "GetTrees";
+	    return (char *)"GetTrees";
     }
     sprintf(buf, "UNKNOWN_x%x", state);
     return buf;
@@ -850,7 +850,7 @@
  *  to prevent recursion problems.
  */
 void
-drop_server(struct servers *sp, char *why)
+drop_server(struct servers *sp, const char *why)
 {
     struct list	*lp;
     struct pkg_conn *pc;
Index: src/canon/canon.h
===================================================================
--- src/canon/canon.h	(revision 54124)
+++ src/canon/canon.h	(working copy)
@@ -98,10 +98,10 @@
 #endif
 
 FUNC_EXTERN(int parse_args, (int ac, char *av[]));
-FUNC_EXTERN(void usage, (char *s));
+FUNC_EXTERN(void usage, (const char *s));
 
-extern char *progname;
-extern char scsi_device[];
+extern const char *progname;
+extern const char scsi_device[];
 extern char ipu_gamma;
 extern int  ipu_filetype;
 extern int  ipu_bytes_per_pixel;
@@ -123,7 +123,7 @@
 extern union ipu_prsc_param param;
 extern char *arg_v[];
 extern int arg_c;
-extern char *print_queue;
+extern const char *print_queue;
 
 #endif  /* __CANON_H__ */
 
